complexType "CommodityEuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (expirationDate*, exerciseFrequency?)?, expirationTime?
</...>

Content Model Elements (3):

  exerciseFrequency (in europeanExercise in exercise in commodityOption),
  expirationDate (in europeanExercise in exercise in commodityOption),
  expirationTime (in europeanExercise in exercise in commodityOption)

All Direct / Indirect Based Elements (1):

  europeanExercise (in exercise in commodityOption)

Known Usage Locations

- As direct type of elements (1):
  europeanExercise (in exercise in commodityOption)

Annotation
A type for defining exercise procedures associated with a European style exercise of a commodity option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityEuropeanExercise

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityEuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED expirationDate - Technical--> <xsd:sequence minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/> </xsd:sequence> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
exerciseFrequency

  Type: | Frequency, complex content

  The exercise frequency for the strip.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/>

expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. For an averaging option this is equivalent to the Termination Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/>

expirationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day on which the option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.